package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.ClYxsj;

/**
 * 常量-岩性数据Service接口
 * 
 * @author ruoyi
 * @date 2025-09-22
 */
public interface IClYxsjService 
{
    /**
     * 查询常量-岩性数据
     * 
     * @param id 常量-岩性数据主键
     * @return 常量-岩性数据
     */
    public ClYxsj selectClYxsjById(Long id);

    /**
     * 查询常量-岩性数据列表
     * 
     * @param clYxsj 常量-岩性数据
     * @return 常量-岩性数据集合
     */
    public List<ClYxsj> selectClYxsjList(ClYxsj clYxsj);

    /**
     * 新增常量-岩性数据
     * 
     * @param clYxsj 常量-岩性数据
     * @return 结果
     */
    public int insertClYxsj(ClYxsj clYxsj);

    /**
     * 修改常量-岩性数据
     * 
     * @param clYxsj 常量-岩性数据
     * @return 结果
     */
    public int updateClYxsj(ClYxsj clYxsj);

    /**
     * 批量删除常量-岩性数据
     * 
     * @param ids 需要删除的常量-岩性数据主键集合
     * @return 结果
     */
    public int deleteClYxsjByIds(Long[] ids);

    /**
     * 删除常量-岩性数据信息
     * 
     * @param id 常量-岩性数据主键
     * @return 结果
     */
    public int deleteClYxsjById(Long id);
}
